﻿using System;
using System.Windows;
using System.Windows.Threading;

namespace DataGridCrash
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
            AppDomain.CurrentDomain.UnhandledException += CurrentDomain_UnhandledException;
            DispatcherUnhandledException += App_DispatcherUnhandledException;
        }

        static void App_DispatcherUnhandledException(object sender, DispatcherUnhandledExceptionEventArgs e)
        {
            ShowException("Dispatcher Unhandled Exception", e.Exception);
        }

        static void CurrentDomain_UnhandledException(object sender, UnhandledExceptionEventArgs e)
        {
            ShowException("App Domain Unhandled Exception", e.ExceptionObject);
        }

        static void ShowException(string title, object e)
        {
            Console.WriteLine(title + ":\n" + e);
            try
            {
                MessageBox.Show(e.ToString(), title);
            }
            catch (Exception ex)
            {
                Console.WriteLine("Oops, cannot show message box:\n" + ex);
            }
        }
    }
}
