﻿using System;
using System.ComponentModel;
using System.Windows;
using System.Windows.Data;

namespace DataGridCrash
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1
    {
        readonly CarsBusinessLogic _carsBl = new CarsBusinessLogic();

        public Window1()
        {
            ListCollectionView lcView = new ListCollectionView(_carsBl.Cars);
            lcView.SortDescriptions.Add(new SortDescription("Make", ListSortDirection.Descending));
            lcView.SortDescriptions.Add(new SortDescription("Model", ListSortDirection.Descending));

            InitializeComponent();

            grid.DataContext = lcView;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            _carsBl.PopulateCars();
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            _carsBl.DeleteCars();
        }
    }
}
